/**
*ErrorMessage App
* Implement an App to show error message.
*/
var ErrorMessageApp = ErrorMessageApp || {};
/**
*Constructor UNAS App
*/
ErrorMessageApp.App = function () {
	this.id = 'Error Message';
	this.name = 'Error Message';
	this.version = '6.0.13';
	this.active = false;
	this.menuIcon = '/apps/errormessage/images/logo.png?v=6.0.13&';
	this.shortcutIcon = '/apps/errormessage/images/logo.png?v=6.0.13&';
	this.entryUrl = '/apps/errormessage/errormessage.html?v=6.0.13&';
	//this.entryHelpUrl = '/apps/errormessage/errormessage_help.html?v=6.0.13&';
	var self = this;
	this.ErrorMessageAppWindow = function () { //create app window
		if(UNAS.CheckAppState('Error Message')){
    		return false;
    	}
		self.window=new MUI.Window({
			id: 'ErrorMessageAppWindow',
			title: UNAS._('Error Message'),
			icon: '/apps/errormessage/images/logo_small.png?v=6.0.13&',
			width: 880,
			height: 500,
			maximizable: false,
			resizable: true,
			scrollbars: false,
			contentURL: '/apps/errormessage/errormessage.html?v=6.0.13&',
			require: {  css: ['/apps/errormessage/css/errormessage.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Error Message",'ErrorMessageAppWindow')}
		});
	};
	this.ErrorMessageUninstall = function (){
		UNAS.RemoveDesktopShortcut('Error Message');
    	UNAS.RemoveMenu('Error Message');
    	UNAS.RemoveAppFromGroups('Error Message', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Error Message', 'Help');
    	UNAS.RemoveAppFromApps('Error Message');
	};
	new UNAS.Menu('UNAS_ControlPanel_Information_Menu', this.name, this.menuIcon, 'Error Message', '', this.ErrorMessageAppWindow);
	//new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Error Message', this.ErrorMessageAppWindow);
	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Information', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Information', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
	var OnChangeLanguage = function (e) {
		UNAS.SetMenuTitle('Error Message', UNAS._('Error Message')); //translate menu
        //UNAS.SetShortcutTitle('Error Message', UNAS._('Error Message'));
		if (typeof self.window !== 'undefined') {
			UNAS.SetWindowTitle('ErrorMessageAppWindow', UNAS._('Error Message'));
		}
	};
	UNAS.LoadTranslation('/apps/errormessage/languages/Translation?v='+this.version, OnChangeLanguage);
	UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.ErrorMessageAppWindow, this.ErrorMessageUninstall);
};
new ErrorMessageApp.App();
